Bug 1656601 - Missing RPM dependencies
Summary: Missing RPM dependencies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit-session-recording
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Kirill Gliebov
QA Contact: Scott Poore
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 20:00 UTC by Andrei Stepanov
Modified: 2019-06-13 23:04 UTC (History)
1 user (show)

Fixed In Version: cockpit-session-recording-1-29.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 23:04:00 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
browser menu showing cockpit-session-recording installed (13.85 KB, image/png)
2019-02-24 16:06 UTC, Scott Poore
no flags Details
browser menu showing cockpit-session-recording removed (12.91 KB, image/png)
2019-02-24 16:07 UTC, Scott Poore
no flags Details

Comment 1 Andrei Stepanov 2018-12-05 20:02:10 UTC
Also, after "dnf remove cockpit-session-recording" cockpit should stay functional.

Comment 2 Kirill Gliebov 2018-12-07 20:33:20 UTC
cockpit-system dependency as Requires was added. 
Upsteam PR for cockpit/starter-kit - https://github.com/cockpit-project/starter-kit/pull/67

Comment 4 Scott Poore 2019-02-24 16:06:09 UTC
Verified.

Version ::

cockpit-session-recording-1-29.el8.noarch

Result ::

Logging into cockpit with cockpit-session-recording installed I can see the Session Recording option on the left.

If I remove it: "dnf -y remove cockpit-session-recording" and refresh my browser, I see the option disappear.  I will attach install and uninstall images showing this as well.

Comment 5 Scott Poore 2019-02-24 16:06:51 UTC
Created attachment 1538177 [details]
browser menu showing cockpit-session-recording installed

Comment 6 Scott Poore 2019-02-24 16:07:16 UTC
Created attachment 1538178 [details]
browser menu showing cockpit-session-recording removed


Note You need to log in before you can comment on or make changes to this bug.